# Uses of Interface
org.eclipse.birt.report.engine.api.script.IDataSetRow

Packages that use IDataSetRow
Package
Description
org.eclipse.birt.report.engine.api.script
Commonly used interfaces for the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IDataSetRow in org.eclipse.birt.report.engine.api.script

Subinterfaces of IDataSetRow in org.eclipse.birt.report.engine.api.script
Modifier and Type
Interface
Description
`interface`
`IUpdatableDataSetRow`
A Data Set Row which allows its column values to be updated.

## Uses of IDataSetRow in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IDataSetRow
Modifier and Type
Method
Description
`void`
DataSetEventAdapter.`onFetch(IDataSetInstance dataSet, IDataSetRow row, IReportContext reportContext)`

## Uses of IDataSetRow in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IDataSetRow
Modifier and Type
Method
Description
`void`
IDataSetEventHandler.`onFetch(IDataSetInstance dataSet, IDataSetRow row, IReportContext reportContext)`
Handle the onFetch event